
QGIS Application - Bug report #4963

Calculation of polygon's centroids leads to QGIS crashes 

2012-02-07 06:24 PM - dr -

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14755

Description

If try to calculate centroids of polygon against attached layer then QGIS crashes. It is known this layer contains topological errors, but if

test it against check geometry tool in Linux: 0 topological errors, but progress bar stay on 66%, in Windows: QGIS crashes or freezes

sometimes.

Associated revisions

Revision d7510368 - 2012-05-25 02:08 PM - Jürgen Fischer

validation/geometry/threading fixes:

- fTools/polygon centroids: catch missing centroid with invalid geometry

  (fixes #4963)

- fTools/validate geometry: * fix final position of progress bar * don't use isGeosValid() * zoom to feature on locationless errors (including OTFR support) *

store/restore dialog position

- QgsGeometry(Validator): * log GEOS exceptions * (closed) rings need at least 4 points not 3 * log error when geometry can't be exported to GEOS *

don't produce "geometry is valid" error

- improve logging from threads * keep message output from main thread as popup * log message from threads to message log (fixes crash on python error

   in thread)

History

#1 - 2012-02-08 06:24 AM - Maxim Dubinin

same on windows

QGIS version

1.9.90-Alpha

QGIS code revision

aaddc4f

#2 - 2012-02-10 11:53 AM - Giovanni Manghi

confirmed, error message is

[xcb] Unknown request in queue while dequeuing

[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called

[xcb] Aborting, sorry about that.

qgis.bin: ../../src/xcb_io.c:178: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.

Aborted
#3 - 2012-02-15 03:15 AM - Giovanni Manghi

- Priority changed from High to 6

#4 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#5 - 2012-04-16 03:55 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#6 - 2012-04-16 04:05 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2012-05-25 05:09 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d751036823276142cee521ce67b98d7d651a98c8".

#8 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

cnt_bug.zip 16.6 KB 2012-02-07 dr -
